#
# spec file for package gcab
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gcab
Version:        0.6
Release:        7.4
Summary:        Cabinet file library and tool
License:        LGPL-2.1+
Group:          Productivity/Archiving/Compression
Url:            http://ftp.gnome.org/pub/GNOME/sources/gcab
Source:         http://ftp.acc.umu.se/pub/GNOME/sources/gcab/%{version}/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM gcab-checksum.patch bgo#746580 schwab@linux-m68k.org -- Fix checksum computation
Patch:          gcab-checksum.patch
BuildRequires:  gobject-introspection >= 0.9.4
BuildRequires:  intltool >= 0.40.0
BuildRequires:  vala >= 0.14
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(glib-2.0) >= 2.22.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gcab is a tool and library for manipulating cabinet files.

It uses the GObject API and provides GIR bindings.
It supports creation of archives with simple MSZIP compression.

%package -n libgcab-1_0-0
Summary:        Cabinet file library
Group:          System/Libraries

%description -n libgcab-1_0-0
gcab is a tool and library for manipulating cabinet files.

It uses the GObject API and provides GIR bindings.
It supports creation of archives with simple MSZIP compression.

This package provides a system library to access cab files

%package devel
Summary:        Cabinet file library -- Development files
Group:          Development/Languages/C and C++
Requires:       libgcab-1_0-0 = %{version}

%description devel
gcab is a tool and library for manipulating cabinet files.

It uses the GObject API and provides GIR bindings.
It supports creation of archives with simple MSZIP compression.

This package provides development files to build code against libgcab

%lang_package
%prep
%setup -q
%patch -p1

%build
%configure \
    --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%find_lang %{name}

%post -n libgcab-1_0-0 -p /sbin/ldconfig

%postun -n libgcab-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%files -n libgcab-1_0-0
%defattr(-,root,root)
%{_libdir}/libgcab-1.0.so.*

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/libgcab-1.0/
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc

%changelog
* Mon Mar 30 2015 dimstar@opensuse.org
- Update to version 0.6:
  + Fix for the AFL-detected crashes.
  + Add file information getters (get_attributes(), get_date(),
    get_size()).
  + gcab learned --list-details to list files with those
    informations.
  + Fix the file date when creating cab.
  + Build-sys fixes.
* Sat Mar 21 2015 schwab@linux-m68k.org
- Add gcab-checksum.patch: fix checksum computation (bgo#746580).
* Mon Mar  9 2015 zaitor@opensuse.org
- Update to version 0.5:
  + Fix path traversal: do not escape from output directory.
  + Add gcab_cabinet_get_signature().
  + Build warning fixes.
  + Updated translations.
- Drop gcab-CVE-2015-0552.patch: fixed upstream.
* Tue Jan  6 2015 dimstar@opensuse.org
- Add gcab-CVE-2015-0552.patch: Avoid path traversal (boo#911814,
  bgo#742331, CVE-2015-0552).
* Wed Mar  6 2013 dimstar@opensuse.org
- Initial package, version 0.4.
